Deploy specific Spinnaker version

#1

Hi,

I would like to bring back OpenStack support, which has been officially removed a few weeks ago.

I’ve installed Spinnaker on my workstation but - as expected - I can’t create server groups or other provider-dependant resources because my OpenStack account doesn’t show up.

I would like to switch to a previous Spinnaker version, but I couldn’t find out how.

I tried with hal config version edit --version branch:upstream/1.12.10 (instead of upstream/master), but it fails when I try hal deploy apply.

Any help would be appreciated :slight_smile:
Thanks

#2

Solved with:

hal config version edit --version <version>

Instead of:

hal config version edit --version branch:upstream/<version>

(I thought the branch:upstream/ part was required for local git environments)